function Create(self)
	self.LTimer = Timer();
	self.hurtTimer = Timer();
	self.hurtInterval = 10;
	self.targethit = 0;
	self.maxdmg = 25 + math.random(0, 10);
	self.dmg = 0;
end

function Destroy(self)
end

function Update(self)
	if self.LTimer:IsPastSimMS(5) then
		for actor in MovableMan.Actors do
			if (math.abs(actor.Pos.X - self.Pos.X) < 15) and (math.abs(actor.Pos.Y - self.Pos.Y) < 15) and (actor.Mass <= 600) then
			--Light up the candle and set various things to it.
				if self.Lifetime < 1000 then
					self.Lifetime = self.Lifetime + 1000;
				end
				actor:FlashWhite(100);
				actor.HitsMOs = false;
				actor.GetsHitByMOs = false;
				actor.Pos = self.Pos;
				--These two lines disable all controls. EMP effect.
				actor:SetAimAngle(math.random(math.pi/-2, math.pi/2));
				actor:SetControllerMode(Controller.CIM_DISABLED, -1);
				--Hurts the actor and slows him down gradually.
				if self.hurtTimer:IsPastSimMS(self.hurtInterval) then
					actor.Health = actor.Health - 1;
					self.dmg = self.dmg + 1;
					if self.dmg >= self.maxdmg then
						self:GibThis();
					end
					actor.Vel.Y = actor.Vel.Y * 0.9;
					actor.Vel.X = actor.Vel.X * 0.9;
					self.Vel.Y = self.Vel.Y * 0.9;
					self.Vel.X = self.Vel.X * 0.9;
					self.hurtTimer:Reset();
				end
				--Once we've vampire'd him to 0, make him go poof.
				if actor.Health < 0 then
					--actor:GibThis() ;
					actor.Lifetime = 1;
					self:GibThis() ;
				else
					actor.HitsMOs = true;
					actor.GetsHitByMOs = true;
				end
			end
		end
	end

	--I was intending to make the energy ball rebound at a random direction when it hits a surface, but I dont know how.
	--if (self.Vel.Y < 10) and (self.Vel.X < 10) then
	--	Um. Dunno, carry on.
	--end

	if self.LTimer:IsPastSimMS(2500) then
		self:GibThis() ;
	end
end